<?php // $Id: import.php,v 1.12 2006/09/05 08:50:23 toyomoyo Exp $
      // Display all the interfaces for importing data into a specific course

    /*-----course/import.php-----*/
    require_once('../../../../config.php');

    $id = required_param('id', PARAM_INT);   // course id to import TO
    $section = required_param('section', PARAM_INT);    //copy section

    if (!$course = get_record('course', 'id', $id)) {
        error("That's an invalid course id");
    }

    // moodle/site:import
    require_capability('moodle/course:update', get_context_instance(CONTEXT_COURSE, $id));

/// Always we begin an import, we delete all backup/restore/import session structures
    if (isset($SESSION->course_header)) {
        unset ($SESSION->course_header);
    }
    if (isset($SESSION->info)) {
        unset ($SESSION->info);
    }
    if (isset($SESSION->backupprefs)) {
        unset ($SESSION->backupprefs);
    }
    if (isset($SESSION->restore)) {
        unset ($SESSION->restore);
    }
    if (isset($SESSION->import_preferences)) {
        unset ($SESSION->import_preferences);
    }

    $strcopyresource = get_string('copyresource','resource');
    $strresourcetypecopy = get_string('resourcetypecopy','resource');
    //dirroot -> wwwroot
    print_header($course->fullname.': '.$strcopyresource, $course->fullname.': '.$strresourcetypecopy,//$strimport, 
                 '<a href="'.$CFG->wwwroot.'/course/view.php?id='.$course->id.'">'.$course->shortname.'</a> -> '.$strcopyresource);

        print_heading_with_help(get_string('resourcetypecopy','resource'),'copy','resource/type');
        echo '<div class="plugin">';
        include_once($CFG->dirroot.'/mod/resource/type/copy/mod.php');
        echo '</div>';

    print_footer();
?>
